net.i2p.router.news

## Class NewsEntry

- java.lang.Object
- - net.i2p.router.news.NewsEntry

- All Implemented Interfaces:
    Comparable<NewsEntry>

      public class NewsEntry
      extends Object
      implements Comparable<NewsEntry>

  Represents a single news entry with content and metadata.

  Encapsulates news item data including title, link, identifier, update timestamp, summary, content, and author information. Supports content type specification and proper sorting based on update timestamps.

  Provides Comparable interface implementation for chronological ordering of news entries. All String fields may be null to accommodate optional metadata elements in news feeds.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `String` | `authorName`
    `String` | `content`
    `String` | `contentType`
    `String` | `id`
    `String` | `link`
    `String` | `summary`
    `String` | `title`
    `long` | `updated`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NewsEntry()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(NewsEntry e)` reverse, newest first
    `boolean` | `equals(Object o)`
    `int` | `hashCode()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### authorName

          public String authorName

    - #### content

          public String content

    - #### contentType

          public String contentType

    - #### id

          public String id

    - #### link

          public String link

    - #### summary

          public String summary

    - #### title

          public String title

    - #### updated

          public long updated

  - ### Constructor Detail

    - #### NewsEntry

          public NewsEntry()

  - ### Method Detail

    - #### compareTo

          public int compareTo(NewsEntry e)

      reverse, newest first
      Specified by:
        `compareTo` in interface `Comparable<NewsEntry>`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`